# TODO:
# - Shell wrapper
# - Some docs?

# NOTE:
# - It is not just a new version of antlr, so it must not conflicts with antlr-2
# - No, we can not build it from sources. It requires fuckin maven.

%bcond_without	ant		# don't build ant task

%include	/usr/lib/rpm/macros.java

%define		srcname antlr3
Summary:	ANother Tool for Language Recognition
Name:		java-antlr3
Version:	3.2
Release:	3
License:	Public Domain
Group:		Development/Languages/Java
Source0:	http://antlr.org/download/antlr-%{version}.jar
# From http://antlr.org/share/1169924912745/antlr3-task.zip
Source1:	ANTLR3.java
Source2:	antlib.xml
# Source0-md5:	ee7dc3fb20cf3e9efd871e297c0d532b
URL:		http://antlr.org/
%if %{with ant}
BuildRequires:	ant
BuildRequires:	jdk
%endif
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
BuildArch:	noarch
Obsoletes:	antlr3 < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANTLR, ANother Tool for Language Recognition, is a language tool that
provides a framework for constructing recognizers, interpreters,
compilers, and translators from grammatical descriptions containing
actions in a variety of target languages. ANTLR provides excellent
support for tree construction, tree walking, translation, error
recovery, and error reporting.

%package -n ant-antlr3
Summary:	Antlr3 task for ant
Summary(pl.UTF-8):	Zadanie antlr3 dla anta
License:	Apache v2
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description -n ant-antlr3
Ant task for antlr3.

%if %{with ant}
%prep
%setup -q -T -c
mkdir -p org/apache/tools/ant/antlr
mkdir build
cp %{SOURCE1} org/apache/tools/ant/antlr
cp %{SOURCE2} org/apache/tools/ant/antlr

%build
CLASSPATH=$(find-jar ant):%{SOURCE0}
export CLASSPATH
export LC_ALL=en_US

javac -d build org/apache/tools/ant/antlr/*java
cp org/apache/tools/ant/antlr/antlib.xml build/org/apache/tools/ant/antlr/antlib.xml

jar cf ant-antlr3.jar -C build org
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/ant

# jars
cp -a %{SOURCE0} $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%if %{with ant}
cp -a ant-antlr3.jar $RPM_BUILD_ROOT%{_javadir}/ant/ant-antlr3.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with ant}
%files -n ant-antlr3
%defattr(644,root,root,755)
%{_javadir}/ant/*.jar
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-antlr3.git;a=log;h=master

* Wed Apr 20 2011 pawelz <pawelz@pld-linux.org> b0d19bb
- fixed changelog

* Wed Apr 20 2011 pawelz <pawelz@pld-linux.org> 1245e9f
- Accidentally I commited without the previous commit without a log:
- fixed names of jar files (broken exactly one year ago!)
- I wonder how many other packages have I just broken.
- rel 3

* Wed Apr 20 2011 pawelz <pawelz@pld-linux.org> 142b773
- 

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> d9279b4
- Obsoletes: antlr3

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> c0572fe
- antlr3 renamed to java-antlr3

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> eeacb04
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

* Tue Oct 13 2009 pawelz <pawelz@pld-linux.org> 0ef89d1
- it does not build with gcj.

* Tue Oct 13 2009 pawelz <pawelz@pld-linux.org> a68304b
- added bcond without ant
- rel 1

* Tue Oct 13 2009 pawelz <pawelz@pld-linux.org> bfa8976
- ant task
- better Group
- adapter

* Tue Oct 13 2009 pawelz <pawelz@pld-linux.org> da27106
- ant task for antlrr3
- from http://antlr.org/share/1169924912745/antlr3-task.zip

* Tue Oct 13 2009 pawelz <pawelz@pld-linux.org> 28f2fba
- initial. It does not Obsoletes antlr-2.

